<?php
/* Autoloader for phpunit/phpunit-skeleton-generator and its dependencies */

$vendorDir = '/usr/share/php';
// Use Symfony autoloader
if (!isset($fedoraClassLoader) || !($fedoraClassLoader instanceof \Symfony\Component\ClassLoader\ClassLoader)) {
    if (!class_exists('Symfony\\Component\\ClassLoader\\ClassLoader', false)) {
        require_once $vendorDir . '/Symfony/Component/ClassLoader/ClassLoader.php';
    }

    $fedoraClassLoader = new \Symfony\Component\ClassLoader\ClassLoader();
    $fedoraClassLoader->register();
}

/* for symfony/console */
$fedoraClassLoader->addPrefix('Symfony\\Component\\', $vendorDir);

/* optional, for test suite */
if (is_dir($vendorDir . '/org/bovigo/vfs')) {
    $fedoraClassLoader->addPrefix('org\\bovigo\\vfs', $vendorDir);
}

require_once $vendorDir . '/Text/Template/Autoload.php';
require_once $vendorDir . '/SebastianBergmann/Version/autoload.php';

spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
              'sebastianbergmann\\phpunit\\skeletongenerator\\abstractgenerator' => '/AbstractGenerator.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\classgenerator' => '/ClassGenerator.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\application' => '/CLI/Application.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\basecommand' => '/CLI/BaseCommand.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\generateclasscommand' => '/CLI/GenerateClassCommand.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\generatetestcommand' => '/CLI/GenerateTestCommand.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\testgenerator' => '/TestGenerator.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    }
);
